Bug 155433 - Reset CSS spacing rules on the <math> element
Summary: Reset CSS spacing rules on the <math> element
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords:
Depends on:
Blocks: 151592 156839 157989
  Show dependency treegraph
 
Reported: 2016-03-14 06:03 PDT by Frédéric Wang (:fredw)
Modified: 2016-05-23 08:28 PDT (History)
3 users (show)

See Also:


Attachments
Testcase from Mozilla (753 bytes, text/html)
2016-03-14 06:09 PDT, Frédéric Wang (:fredw)
no flags Details
Patch (4.62 KB, patch)
2016-03-14 06:22 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2016-03-14 06:03:29 PDT
I'm moving this away from bug 151592. I'm suggesting to do as in Gecko and prevent spacing rules to be inherited by default:

math {
  line-height: normal;
  word-spacing: normal;
  letter-spacing: normal;
}

Gecko's bug is https://bugzilla.mozilla.org/show_bug.cgi?id=1187673
Comment 1 Frédéric Wang (:fredw) 2016-03-14 06:09:07 PDT
Created attachment 273965 [details]
Testcase from Mozilla
Comment 2 Frédéric Wang (:fredw) 2016-03-14 06:22:19 PDT
Created attachment 273966 [details]
Patch
Comment 3 Brent Fulgham 2016-04-01 11:23:27 PDT
Comment on attachment 273966 [details]
Patch

Seems reasonable. r=me.
Comment 4 WebKit Commit Bot 2016-04-01 12:15:02 PDT
Comment on attachment 273966 [details]
Patch

Clearing flags on attachment: 273966

Committed r198952: <http://trac.webkit.org/changeset/198952>
Comment 5 WebKit Commit Bot 2016-04-01 12:15:06 PDT
All reviewed patches have been landed.  Closing bug.